Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRBox

All Superinterfaces:
  JRStyleContainer

All Known Subinterfaces:
  JRChart, JRFrame, JRImage, JRPrintFrame, JRPrintImage, JRPrintText, JRStaticText, JRTextElement, JRTextField

All Known Implementing Classes:
  JRBaseBox, JRBaseChart, JRBaseFrame, JRBaseImage, JRBasePrintFrame, JRBasePrintImage, JRBasePrintText, JRBaseStaticText, JRBaseTextElement, JRBaseTextField, JRDesignChart, JRDesignFrame, JRDesignImage, JRDesignStaticText, JRDesignTextElement, JRDesignTextField, JRFillChart, JRFillFrame, JRFillImage, JRFillStaticText, JRFillTextElement, JRFillTextField, JRRecordedValuesPrintImage, JRRecordedValuesPrintText, JRTemplateFrame, JRTemplateImage, JRTemplatePrintFrame, JRTemplatePrintImage, JRTemplatePrintText, JRTemplateText, LineBoxWrapper

    public interface JRBox

extends JRStyleContainer

This is useful for drawing borders around text elements and images. Boxes can have borders and paddings, which can have different width and colour on each side of the element.

Version:
  $Id: JRBox.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Method Summary
`byte` | `getBorder()` Deprecated. Replaced by `JRLineBox.getPen()`
`java.awt.Color` | `getBorderColor()` Deprecated. Replaced by `JRLineBox.getPen()`
`byte` | `getBottomBorder()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`java.awt.Color` | `getBottomBorderColor()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`int` | `getBottomPadding()` Deprecated. Replaced by `JRLineBox.getBottomPadding()`
`byte` | `getLeftBorder()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`java.awt.Color` | `getLeftBorderColor()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`int` | `getLeftPadding()` Deprecated. Replaced by `JRLineBox.getLeftPadding()`
`java.lang.Byte` | `getOwnBorder()` Deprecated. Replaced by `JRLineBox.getPen()`
`java.awt.Color` | `getOwnBorderColor()` Deprecated. Replaced by `JRLineBox.getPen()`
`java.lang.Byte` | `getOwnBottomBorder()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`java.awt.Color` | `getOwnBottomBorderColor()` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`java.lang.Integer` | `getOwnBottomPadding()` Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`
`java.lang.Byte` | `getOwnLeftBorder()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`java.awt.Color` | `getOwnLeftBorderColor()` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`java.lang.Integer` | `getOwnLeftPadding()` Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`
`java.lang.Integer` | `getOwnPadding()` Deprecated. Replaced by `JRLineBox.getOwnPadding()`
`java.lang.Byte` | `getOwnRightBorder()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`java.awt.Color` | `getOwnRightBorderColor()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`java.lang.Integer` | `getOwnRightPadding()` Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`
`java.lang.Byte` | `getOwnTopBorder()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`java.awt.Color` | `getOwnTopBorderColor()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`java.lang.Integer` | `getOwnTopPadding()` Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`
`int` | `getPadding()` Deprecated. Replaced by `JRLineBox.getPadding()`
`byte` | `getRightBorder()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`java.awt.Color` | `getRightBorderColor()` Deprecated. Replaced by `JRLineBox.getRightPen()`
`int` | `getRightPadding()` Deprecated. Replaced by `JRLineBox.getRightPadding()`
`byte` | `getTopBorder()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`java.awt.Color` | `getTopBorderColor()` Deprecated. Replaced by `JRLineBox.getTopPen()`
`int` | `getTopPadding()` Deprecated. Replaced by `JRLineBox.getTopPadding()`
`void` | `setBorder(byte border)` Deprecated. Replaced by `JRLineBox.getPen()`
`void` | `setBorder(java.lang.Byte border)` Deprecated. Replaced by `JRLineBox.getPen()`
`void` | `setBorderColor(java.awt.Color color)` Deprecated. Replaced by `JRLineBox.getPen()`
`void` | `setBottomBorder(byte border)` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`void` | `setBottomBorder(java.lang.Byte border)` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`void` | `setBottomBorderColor(java.awt.Color color)` Deprecated. Replaced by `JRLineBox.getBottomPen()`
`void` | `setBottomPadding(int padding)` Deprecated. Replaced by `JRLineBox.setBottomPadding(int)`
`void` | `setBottomPadding(java.lang.Integer padding)` Deprecated. Replaced by `JRLineBox.setBottomPadding(Integer)`
`void` | `setLeftBorder(byte border)` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`void` | `setLeftBorder(java.lang.Byte border)` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`void` | `setLeftBorderColor(java.awt.Color color)` Deprecated. Replaced by `JRLineBox.getLeftPen()`
`void` | `setLeftPadding(int padding)` Deprecated. Replaced by `JRLineBox.setLeftPadding(int)`
`void` | `setLeftPadding(java.lang.Integer padding)` Deprecated. Replaced by `JRLineBox.setLeftPadding(Integer)`
`void` | `setPadding(int padding)` Deprecated. Replaced by `JRLineBox.setPadding(int)`
`void` | `setPadding(java.lang.Integer padding)` Deprecated. Replaced by `JRLineBox.setPadding(Integer)`
`void` | `setRightBorder(byte border)` Deprecated. Replaced by `JRLineBox.getRightPen()`
`void` | `setRightBorder(java.lang.Byte border)` Deprecated. Replaced by `JRLineBox.getRightPen()`
`void` | `setRightBorderColor(java.awt.Color color)` Deprecated. Replaced by `JRLineBox.getRightPen()`
`void` | `setRightPadding(int padding)` Deprecated. Replaced by `JRLineBox.setRightPadding(int)`
`void` | `setRightPadding(java.lang.Integer padding)` Deprecated. Replaced by `JRLineBox.setRightPadding(Integer)`
`void` | `setTopBorder(byte border)` Deprecated. Replaced by `JRLineBox.getTopPen()`
`void` | `setTopBorder(java.lang.Byte border)` Deprecated. Replaced by `JRLineBox.getTopPen()`
`void` | `setTopBorderColor(java.awt.Color color)` Deprecated. Replaced by `JRLineBox.getTopPen()`
`void` | `setTopPadding(int padding)` Deprecated. Replaced by `JRLineBox.setTopPadding(int)`
`void` | `setTopPadding(java.lang.Integer padding)` Deprecated. Replaced by `JRLineBox.setTopPadding(Integer)`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Method Detail

### getBorder

    byte getBorder()

  Deprecated. Replaced by `JRLineBox.getPen()`

### getOwnBorder

    java.lang.Byte getOwnBorder()

  Deprecated. Replaced by `JRLineBox.getPen()`

### setBorder

    void setBorder(byte border)

  Deprecated. Replaced by `JRLineBox.getPen()`

### setBorder

    void setBorder(java.lang.Byte border)

  Deprecated. Replaced by `JRLineBox.getPen()`

### getBorderColor

    java.awt.Color getBorderColor()

  Deprecated. Replaced by `JRLineBox.getPen()`

### getOwnBorderColor

    java.awt.Color getOwnBorderColor()

  Deprecated. Replaced by `JRLineBox.getPen()`

### setBorderColor

    void setBorderColor(java.awt.Color color)

  Deprecated. Replaced by `JRLineBox.getPen()`

### getPadding

    int getPadding()

  Deprecated. Replaced by `JRLineBox.getPadding()`

### getOwnPadding

    java.lang.Integer getOwnPadding()

  Deprecated. Replaced by `JRLineBox.getOwnPadding()`

### setPadding

    void setPadding(int padding)

  Deprecated. Replaced by `JRLineBox.setPadding(int)`

### setPadding

    void setPadding(java.lang.Integer padding)

  Deprecated. Replaced by `JRLineBox.setPadding(Integer)`

### getTopBorder

    byte getTopBorder()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### getOwnTopBorder

    java.lang.Byte getOwnTopBorder()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### setTopBorder

    void setTopBorder(byte border)

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### setTopBorder

    void setTopBorder(java.lang.Byte border)

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### getTopBorderColor

    java.awt.Color getTopBorderColor()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### getOwnTopBorderColor

    java.awt.Color getOwnTopBorderColor()

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### setTopBorderColor

    void setTopBorderColor(java.awt.Color color)

  Deprecated. Replaced by `JRLineBox.getTopPen()`

### getTopPadding

    int getTopPadding()

  Deprecated. Replaced by `JRLineBox.getTopPadding()`

### getOwnTopPadding

    java.lang.Integer getOwnTopPadding()

  Deprecated. Replaced by `JRLineBox.getOwnTopPadding()`

### setTopPadding

    void setTopPadding(int padding)

  Deprecated. Replaced by `JRLineBox.setTopPadding(int)`

### setTopPadding

    void setTopPadding(java.lang.Integer padding)

  Deprecated. Replaced by `JRLineBox.setTopPadding(Integer)`

### getLeftBorder

    byte getLeftBorder()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### getOwnLeftBorder

    java.lang.Byte getOwnLeftBorder()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### setLeftBorder

    void setLeftBorder(byte border)

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### setLeftBorder

    void setLeftBorder(java.lang.Byte border)

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### getLeftBorderColor

    java.awt.Color getLeftBorderColor()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### getOwnLeftBorderColor

    java.awt.Color getOwnLeftBorderColor()

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### setLeftBorderColor

    void setLeftBorderColor(java.awt.Color color)

  Deprecated. Replaced by `JRLineBox.getLeftPen()`

### getLeftPadding

    int getLeftPadding()

  Deprecated. Replaced by `JRLineBox.getLeftPadding()`

### getOwnLeftPadding

    java.lang.Integer getOwnLeftPadding()

  Deprecated. Replaced by `JRLineBox.getOwnLeftPadding()`

### setLeftPadding

    void setLeftPadding(int padding)

  Deprecated. Replaced by `JRLineBox.setLeftPadding(int)`

### setLeftPadding

    void setLeftPadding(java.lang.Integer padding)

  Deprecated. Replaced by `JRLineBox.setLeftPadding(Integer)`

### getBottomBorder

    byte getBottomBorder()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### getOwnBottomBorder

    java.lang.Byte getOwnBottomBorder()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### setBottomBorder

    void setBottomBorder(byte border)

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### setBottomBorder

    void setBottomBorder(java.lang.Byte border)

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### getBottomBorderColor

    java.awt.Color getBottomBorderColor()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### getOwnBottomBorderColor

    java.awt.Color getOwnBottomBorderColor()

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### setBottomBorderColor

    void setBottomBorderColor(java.awt.Color color)

  Deprecated. Replaced by `JRLineBox.getBottomPen()`

### getBottomPadding

    int getBottomPadding()

  Deprecated. Replaced by `JRLineBox.getBottomPadding()`

### getOwnBottomPadding

    java.lang.Integer getOwnBottomPadding()

  Deprecated. Replaced by `JRLineBox.getOwnBottomPadding()`

### setBottomPadding

    void setBottomPadding(int padding)

  Deprecated. Replaced by `JRLineBox.setBottomPadding(int)`

### setBottomPadding

    void setBottomPadding(java.lang.Integer padding)

  Deprecated. Replaced by `JRLineBox.setBottomPadding(Integer)`

### getRightBorder

    byte getRightBorder()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### getOwnRightBorder

    java.lang.Byte getOwnRightBorder()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### setRightBorder

    void setRightBorder(byte border)

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### setRightBorder

    void setRightBorder(java.lang.Byte border)

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### getRightBorderColor

    java.awt.Color getRightBorderColor()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### getOwnRightBorderColor

    java.awt.Color getOwnRightBorderColor()

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### setRightBorderColor

    void setRightBorderColor(java.awt.Color color)

  Deprecated. Replaced by `JRLineBox.getRightPen()`

### getRightPadding

    int getRightPadding()

  Deprecated. Replaced by `JRLineBox.getRightPadding()`

### getOwnRightPadding

    java.lang.Integer getOwnRightPadding()

  Deprecated. Replaced by `JRLineBox.getOwnRightPadding()`

### setRightPadding

    void setRightPadding(int padding)

  Deprecated. Replaced by `JRLineBox.setRightPadding(int)`

### setRightPadding

    void setRightPadding(java.lang.Integer padding)

  Deprecated. Replaced by `JRLineBox.setRightPadding(Integer)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com